

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;

// Beispiel der Verwendung von abgeleiteten Klassen und Initialisierungen

abstract class Glyph {
	abstract void draw();

	public Glyph() {
		System.out.println("Glyph() vor draw() ");
		System.out.println(" ");
		draw();
		System.out.println("Glyph() nach draw() ");
		System.out.println(" ");
	}
}

class RoundGlyph extends Glyph {
	int radius = 1;

	public RoundGlyph(int r) {
		radius = r;
		 System.out.println("RoundGlyph radius: "+ radius);
		System.out.println(" ");
	}

	void draw() {
		System.out.println("RoundGlyph.draw radius: "+ radius);
		System.out.println(" ");
	}


   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause



 static public void main(String[] args) {
		System.out.println(" ");
		System.out.println(" ");
		System.out.println(" ");
		System.out.println(" ");
	 new RoundGlyph(5);
   pause();
 }


}


